﻿<h1 id="creating-svis">Creating SVIs</h1>
<h2 id="in-this-how-to-we-will-cover-creating-an-svi-on-a-distro-switch-and-using-the-svi-as-the-default-gateway-for-our-users">In this How To we will cover creating an SVI on a Distro switch and using the SVI as the default gateway for our users.</h2>
<p><img src="SVI%20Lab.png" alt="" /></p>
<ul>
<li>For this <strong>How To</strong> we will need to create two <strong>SVIs</strong> for VLAN 10, and VLAN 20. It already assumed that you have created VLANs and assigned them to the correct interface.</li>
</ul>
<h2 id="configuration">Configuration</h2>
<p><code>SW1#configure terminal</code> # This command puts us in Global Config mode</p>
<p><code>SW1(config)#interface vlan 10</code> # This command will create our logical Switched Virtual Interface, and put us into the SVI sub-configuration mode</p>
<p><code>SW1(config-if)#description SALES VLAN 10 DEFAULT GATEWAY</code> # This command will give a description for the interface</p>
<p><code>SW1(config-if)#ip address 192.168.10.254 255.255.255.0</code> # This command will assign an IP address to the interface</p>
<p><code>SW1(config-if)#no shut</code> # This command will turn on the interface and put it into an <strong>&quot;up&quot;</strong> state.</p>
<ul>
<li>The full configuration for SW1 is shown below</li>
</ul>
<p><img src="svi10_creation.png" alt="" />
<img src="svi20_creation.png" alt="" /></p>
<h2 id="testing">Testing</h2>
<ul>
<li>Not seen is assigning the IP addresses to the computers. But in this demonstration we can see the computers on different VLANs have IP reach-ability.</li>
</ul>
<p><img src="ping_test_svi.png" alt="" /></p>
<ul>
<li>This wireshark capture shows the ping test between the subnets.</li>
</ul>
<p><img src="wireshark_svi.png" alt="" /></p>
<h2 id="verification">Verification</h2>
<ul>
<li>The following show commands verify that the SVI's are created and that they are in a UP/UP state.</li>
</ul>
<p><code>SW1#show ip interface brief | include Vlan</code> # The initial command will show a brief output of all the interfaces on the device. The &quot;pipe&quot; command uses REGEX to filter the output to just the SVI's</p>
<p><img src="show_ip_int_br_pipe_cmd.png" alt="" /></p>
